de.caff.i18n

## Interface XmlResourceBundle.ResourceNode

- All Known Implementing Classes:
    XmlResourceBundle.AbstractBasicResourceNode, XmlResourceBundle.ResourceActionGroup
  Enclosing class:
    XmlResourceBundle

      public static interface XmlResourceBundle.ResourceNode

  Basic definition of a resource node in the XML file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlResourceBundle.ResourceNode[]` | `EMPTY_RESOURCE_NODE_ARRAY` Empty resource node array.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Get the comment.
    `java.lang.String` | `getId()` Get an unique id for this resource.
    `XmlResourceBundle.ResourceNode[]` | `getSubNodes()` Get the sub nodes of this node.
    `java.lang.String` | `getXmlTag()` Get the XML tag of this node
    `void` | `registerResources(java.util.Map<java.lang.String,XmlResourceBundle.ResourceNode> resourceMapping)` Register the resources.
    `void` | `setComment(java.lang.String comment)` Set the comment.
    `java.lang.String` | `toXml()` Convert the node to XML.

- - ### Field Detail

    - #### EMPTY_RESOURCE_NODE_ARRAY

          static final XmlResourceBundle.ResourceNode[] EMPTY_RESOURCE_NODE_ARRAY

      Empty resource node array.

  - ### Method Detail

    - #### getComment

          java.lang.String getComment()

      Get the comment.
      Returns:
        comment

    - #### setComment

          void setComment(java.lang.String comment)

      Set the comment.
      Parameters:
        `comment` - comment

    - #### toXml

          java.lang.String toXml()

      Convert the node to XML.
      Returns:
        XML representation of this node

    - #### getSubNodes

          XmlResourceBundle.ResourceNode[] getSubNodes()

      Get the sub nodes of this node.
      Returns:
        `null` if this is a node which cannot have sub nodes,
        array of sub nodes (possibly empty) otherwise

    - #### registerResources

          void registerResources(java.util.Map<java.lang.String,XmlResourceBundle.ResourceNode> resourceMapping)

      Register the resources.
      Parameters:
        `resourceMapping` - map where to register

    - #### getXmlTag

          java.lang.String getXmlTag()

      Get the XML tag of this node
      Returns:
        XML tag

    - #### getId

          java.lang.String getId()

      Get an unique id for this resource. This should return either a unique id or `null` if this is no resource to look for
      Returns:
        unique id